# build an interface for dynamic linking c++ to python using ctypes

fibc++.so: fib.o fib_ext.o
	$(CXX) -shared -Wl,-soname,fibc++ -o fibc++.so fib.o fib_ext.o

fib.o: fib.cpp
	$(CXX) -c -fPIC -o fib.o fib.cpp

fib_ext.o: fib_ext.cpp
	$(CXX) -c -fPIC -o fib_ext.o fib_ext.cpp

clean:
	rm -f *.o *.so
	rm -fr __pycache__
